www-apache-bugdb mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Nasser Abbasi <nabb...@earthlink.net>
Subject documentation/1255: NT 4.0 installation can be improved
Date Sun, 19 Oct 1997 09:50:01 GMT

>Number:         1255
>Category:       documentation
>Synopsis:       NT 4.0 installation can be improved
>Confidential:   no
>Severity:       non-critical
>Priority:       medium
>Responsible:    apache
>State:          open
>Class:          doc-bug
>Submitter-Id:   apache
>Arrival-Date:   Sun Oct 19 03:00:01 PDT 1997
>Last-Modified:
>Originator:     nabbasi@earthlink.net
>Organization:
apache
>Release:        1.3b2
>Environment:
windows NT 4.0, Service 3.
VC++ 5.0
>Description:
Your documentations on how to INSTALL apache on NT is not complete.
First, you do not tell people to INSTALL apache, you only mention how
to compile it unsing the nmake command. You also need to tell them to
do nmake to install it to the /apache directory.

Also, Your installation target in the Makefile.nt should also copy
the mime.types file to the /apache/conf directory.

Also, Your installation should also copy the icons and htdocs folder
from the src directory to the /apache directory.  THe above 2 steps
are easy to add to the Makefile.nt under the install target, and would
make installing apache easier, otherwise people will have to do these
by hand and waste time.

thank you very much for making Apache avaliable for NT !

Nasser Abbasi
>How-To-Repeat:
Simply look at the Makefile.nt and fix that. Also fix the README.NT
to tell people better how to install Apache (you only mention how to
compile it, not how to install it, btw, in apache 1.3a you had that step
there, but it was removed in 1.3b2 for some reason.
>Fix:
please see above.
>Audit-Trail:
>Unformatted:


Mime
View raw message